from pygame.image import load

from dark_stew.pgfw.Sprite import Sprite

class Clouds(Sprite):

    def __init__(self, parent):
        Sprite.__init__(self, parent)
        self.dx = -self.get_configuration("clouds", "speed")
        self.load_from_path(self.get_resource("clouds", "path"), True)

    def update(self):
        self.move(self.dx)
        Sprite.update(self)

    def draw(self):
        rect = self.rect
        offset = rect.left + rect.w
        self.display_surface.blit(self.get_current_frame(), rect)
        Sprite.draw(self)
